%{
#include "y.tab.h"
#include "mytree.h"
/* very silly implementation, just sufficient for this example */

static char findname (char *yytext) {
	return yytext [0];
}


%}
%%
[0-9]+                         {yylval.a_number = atoi(yytext); return number;}
[A-Za-z][A-Za-z0-9]*           {yylval.a_variable = findname (yytext);
                                return variable;}
[ \t\n]                        ;
[-+*/( );]                     return yytext[0];
.                              {ECHO; yyerror ("unexpected character");}
%%
int yywrap (void) {
	return 1;
}

